Logging
Recalculate log costs
Recomputes missing costs in batches. Processes logs with missing cost values and updates them based on current pricing data.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
filters?object
Log search filters
limit?integer
Maximum number of logs to process (default 200, max 1000)
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/api/logs/recalculate-cost" \ -H "Content-Type: application/json" \ -d '{}'{
"total_matched": 0,
"updated": 0,
"skipped": 0,
"remaining": 0
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}